%define pkg_name        PAR-Dist
%define pkg_version     0.25
%define rpm_pkg_version 0.25
%define rpm_pkg_release 1.n0i.12

Summary:       Create and manipulate PAR distributions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SM/SMUELLER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.25-1.n0i.12
- version 0.25

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.22-1.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.22

* Thu Jun 08 2006 Marius Feraru <altblue@n0i.net> - 0.10-1.n0i.10
- version 0.10

* Sun May 21 2006 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.9
- version 0.09

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.8
- version 0.08

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.07-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.07-0.n0i.2
- version 0.07

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.06-0.n0i.1
- version 0.06
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
